Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.wsas.persistence.dao
Class OperationDAO

    java.lang.Object
      org.wso2.wsas.persistence.dao.BaseDAO
          org.wso2.wsas.persistence.dao.OperationDAO

    public class OperationDAO

extends BaseDAO

Data access object managing persistence operations related to axis operations

Field Summary

Fields inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`hbConfig`

Constructor Summary
`OperationDAO(HibernateConfig hbConfig)`

Method Summary
`ModuleDO[]` | `getEngagedModules(OperationDO op)`
`OperationDO` | `getOperation(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String opName)`
`OperationDO` | `getOperation(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String opName, org.hibernate.Session session)`
`OperationParameterDO` | `getOperationParameter(java.lang.String serviceId, java.lang.String serviceVersion, java.lang.String operationId, java.lang.String paramName)`
`OperationParameterDO[]` | `getParameters(OperationDO op)`
`ServiceIdentifierDO` | `getServiceIdentifier(OperationDO op)`
`void` | `updateOperation(OperationDO operation)`

Methods inherited from class org.wso2.wsas.persistence.dao.BaseDAO
`create, createOrUpdate, delete, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationDAO

    public OperationDAO(HibernateConfig hbConfig)

Method Detail

### getServiceIdentifier

    public ServiceIdentifierDO getServiceIdentifier(OperationDO op)

### updateOperation

    public void updateOperation(OperationDO operation)

### getEngagedModules

    public ModuleDO[] getEngagedModules(OperationDO op)

### getParameters

    public OperationParameterDO[] getParameters(OperationDO op)

### getOperation

    public OperationDO getOperation(java.lang.String serviceId,
                                    java.lang.String serviceVersion,
                                    java.lang.String opName)

### getOperationParameter

    public OperationParameterDO getOperationParameter(java.lang.String serviceId,
                                                      java.lang.String serviceVersion,
                                                      java.lang.String operationId,
                                                      java.lang.String paramName)

### getOperation

    public OperationDO getOperation(java.lang.String serviceId,
                                    java.lang.String serviceVersion,
                                    java.lang.String opName,
                                    org.hibernate.Session session)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD